/*
 * Copyright (c) 2007, 2008, 2009, 2010, 2011 David Berkman
 * 
 * This file is part of the SmallMind Code Project.
 * 
 * The SmallMind Code Project is free software, you can redistribute
 * it and/or modify it under the terms of GNU Affero General Public
 * License as published by the Free Software Foundation, either version 3
 * of the License, or (at your option) any later version.
 * 
 * The SmallMind Code Project is distributed in the hope that it will
 * be useful, but WITHOUT ANY WARRANTY; without even the implied warranty
 * of MERCHANTABILITY or FITNESS FOR A PARTICULAR PURPOSE.  See the GNU
 * General Public License for more details.
 * 
 * You should have received a copy of the the GNU Affero General Public
 * License, along with The SmallMind Code Project. If not, see
 * <http://www.gnu.org/licenses/>.
 * 
 * Additional permission under the GNU Affero GPL version 3 section 7
 * ------------------------------------------------------------------
 * If you modify this Program, or any covered work, by linking or
 * combining it with other code, such other code is not for that reason
 * alone subject to any of the requirements of the GNU Affero GPL
 * version 3.
 */
package org.smallmind.scribe.ink.jdk;

import java.util.Collection;
import java.util.logging.Formatter;
import java.util.logging.LogRecord;
import org.smallmind.scribe.pen.Filter;
import org.smallmind.scribe.pen.Record;

public class JDKFormatterAdapter implements org.smallmind.scribe.pen.Formatter {

   private Formatter formatter;

   public JDKFormatterAdapter (Formatter formatter) {

      this.formatter = formatter;
   }

   public java.util.logging.Formatter getNativeFormatter () {

      return formatter;
   }

   public String format (Record record, Collection<Filter> filterCollection) {

      StringBuilder formatBuilder = new StringBuilder();
      String header;
      String footer;

      header = formatter.getHead(null);
      if (header != null) {
         formatBuilder.append(header);
      }

      formatBuilder.append(formatter.format((LogRecord)record.getNativeLogEntry()));

      footer = formatter.getTail(null);
      if (footer != null) {
         formatBuilder.append(footer);
      }

      return formatBuilder.toString();
   }
}